# Deprecated API

## Contents

- Methods
- Constructors

Methods
org.jboss.logmanager.ExtHandler.checkAccess(): use `ExtHandler.checkAccess(ExtHandler)`
org.jboss.logmanager.handlers.SyslogHandler.isEscapeEnabled(): escaping message values is not required per RFC5424 and is no longer supported in this handler
org.jboss.logmanager.handlers.SyslogHandler.setEscapeEnabled​(boolean): escaping message values is not required per RFC5424 and is no longer supported in this handler

Constructors
org.jboss.logmanager.handlers.TcpOutputStream​(Socket): Use `TcpOutputStream(javax.net.SocketFactory, java.net.InetAddress, int)`